## glance 16.0.1

=== debian/changelog ===
glance (2:16.0.1-8~bpo9+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@stretch-queens.infomaniak.ch>  Fri, 17 Aug 2018 09:37:04 +0200

glance (2:16.0.1-7) unstable; urgency=medium

  * Add fix-py37-compatibility-async-keyword.patch (Closes: #904389).
  * Add Fix_RuntimeError_when_running_under_py37_-_StopIteration.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Aug 2018 20:00:30 +0200

glance (2:16.0.1-6) unstable; urgency=medium

  * Fixed init startup description.
  * Bind glance-api also on ipv6, using openstack-pkg-tools >= 80~ which does
    that automatically now.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 May 2018 10:13:49 +0200

glance (2:16.0.1-5) unstable; urgency=medium

  * Change d/glance-api.init.in again

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 23 May 2018 10:49:24 +0100

glance (2:16.0.1-4) unstable; urgency=medium

  [ Michal Arbet ]
  * Fix d/glance-api.init.in

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 May 2018 11:20:13 +0200

glance (2:16.0.1-3) unstable; urgency=medium

  * Switch back again to uwsgi, thanks to Matthew Treinish for his great help
    on how to set it up.

 -- Thomas Goirand <zigo@debian.org>  Sun, 20 May 2018 15:25:08 +0200

glance (2:16.0.1-2) unstable; urgency=medium

  * Switch back glance-api to eventlet, uwsgi doesn't seem to work and still
    give error 104: connection reset by peer.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 May 2018 12:07:34 +0200

glance (2:16.0.1-1) unstable; urgency=medium

  [ Michal Arbet ]
  * New upstream version

  [ Thomas Goirand ]
  * Switch glance-api to uwsgi.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 May 2018 14:50:53 +0000

glance (2:16.0.0-4) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:31:08 +0000

glance (2:16.0.0-3) unstable; urgency=medium

  * Create /var/lib/glance/{images,image-cache} and chown it to glance:glance,
    otherwise uploading using the file backend simply doesn't work, and glance
    only complains that "Adding images to store is disabled.", which is quite
    deceptive.

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Mar 2018 22:30:30 +0100

glance (2:16.0.0-2) unstable; urgency=medium

  * Kill the debconf flavor configuration.
  * Reuse Debian templates from openstack-pkg-tools.
  * Explicitly using python3- version of config generators.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Mar 2018 12:18:27 +0000

glance (2:16.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Feb 2018 21:48:04 +0000

glance (2:16.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Add patch to allow xattr 0.9.1 which is still in Debian.
  * Switch to Python 3.
  * Using pkgos-dh_auto_test.
  * The doc package is now called glance-doc.
  * Do not use -R with chmod/chown in maintainer scripts..
  * Do not set OSLO_PACKAGE_VERSION in debian/rules, leave the value set by
    openstack-pkg-tools.
  * Fixed debian/copyright holder list and years.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Feb 2018 16:34:35 +0000

glance (2:15.0.0-7) unstable; urgency=medium

  [ David Rabel ]
  * Team upload.
  * Fix encoding in d/po/pt.po.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 12:43:31 +0000

glance (2:15.0.0-6) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools >= 61~.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Dec 2017 09:02:13 +0000

glance (2:15.0.0-5) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools >= 60~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Dec 2017 21:17:47 +0000

glance (2:15.0.0-4) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools >= 59~, to make sure we're using allocated
    UID/GID from #884178.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Dec 2017 00:09:55 +0000

glance (2:15.0.0-3) unstable; urgency=medium

  * Rebuild with openstack-pkg-tools >= 56~.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Dec 2017 16:51:03 +0000

glance (2:15.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Updated pt.po (Closes: #876170).
  * Updated fr.po (Closes: #875753).
  * Updated pt_BR.po (Closes: #861984).
  * Do not rm -rf /etc/glance on purge (Closes: #867468).
  * Removed dh-systemd build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Oct 2017 10:02:06 +0000

glance (2:15.0.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed 3 patches applied upstream, rebased the last one.
  * Fixed install of conf files.
  * Removed all traces of glare.
  * Installs usr/bin/glance-wsgi-api.
  * Package missing migration files (patch adding MANIFEST.in).

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Oct 2017 10:33:08 +0200

glance (2:13.0.0-4) unstable; urgency=medium

  * Team upload.
  * Revert net-tools dependency.
  * Bump build dependency on openstack-pkg-tools (Closes: #858123).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:33:39 +0200

glance (2:13.0.0~b2-2) experimental; urgency=medium

  * Added python-pep8 to build depends (Closes: #834740)



=== debian/control ===
Source: glance
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 80~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 bandit,
 curl,
 git,
 procps,
 python3-alembic (>= 0.8.10),
 python3-babel,
 python3-boto,
 python3-coverage,
 python3-cryptography (>= 1.9),
 python3-cursive (>= 0.2.1),
 python3-ddt,
 python3-debtcollector,
 python3-defusedxml,
 python3-elasticsearch,
 python3-eventlet,
 python3-fixtures,
 python3-futurist (>= 1.2.0),
 python3-glance-store (>= 0.22.0),
 python3-hacking,
 python3-httplib2,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-migrate (>= 0.11.0),
 python3-mock,
 python3-monotonic,
 python3-mysqldb,
 python3-openssl,
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-prettytable,
 python3-psutil,
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql,
 python3-requests (>= 2.14.2),
 python3-retrying,
 python3-routes,
 python3-sendfile,
 python3-six,
 python3-sqlalchemy,
 python3-sqlparse,
 python3-stevedore (>= 1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-taskflow (>= 2.16.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1.7.1),
 python3-wsme,
 python3-xattr (>= 0.9.1),
 sqlite3,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/glance
Vcs-Git: https://salsa.debian.org/openstack-team/services/glance.git
Homepage: https://github.com/openstack/glance

Package: glance
Architecture: all
Depends:
 glance-api (= ${source:Version}),
 glance-registry (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-ceph,
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: glance-api
Architecture: all
Depends:
 adduser,
 debconf,
 glance-common (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 python3-glanceclient,
Description: OpenStack Image Registry and Delivery Service - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance API server.

Package: glance-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-glance (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Image Registry and Delivery Service - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains common files for Glance.

Package: glance-doc
Architecture: all
Section: doc
Breaks:
 python-glance-doc,
Replaces:
 python-glance-doc,
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: glance-registry
Architecture: all
Depends:
 adduser,
 glance-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 python3-glanceclient,
Description: OpenStack Image Registry and Delivery Service - registry server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance registry server.

Package: python3-glance
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 libxml2-dev,
 libxslt-dev,
 procps,
 python3-alembic (>= 0.8.10),
 python3-boto,
 python3-cinderclient (>= 1:1.3.1),
 python3-cryptography (>= 1.9),
 python3-cursive (>= 0.2.1),
 python3-debtcollector,
 python3-defusedxml,
 python3-eventlet,
 python3-futurist (>= 1.2.0),
 python3-glance-store (>= 0.22.0),
 python3-httplib2,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-migrate (>= 0.11.0),
 python3-monotonic,
 python3-mysqldb,
 python3-openssl,
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-paste,
 python3-pastedeploy,
 python3-pbr (>= 2.0.0),
 python3-prettytable,
 python3-psycopg2 (>= 2.5),
 python3-pymysql,
 python3-requests (>= 2.8.1),
 python3-retrying,
 python3-routes,
 python3-six,
 python3-sqlalchemy,
 python3-sqlparse,
 python3-stevedore (>= 1.20.0),
 python3-swiftclient (>= 2.2.0),
 python3-taskflow (>= 2.16.0),
 python3-webob (>= 1.7.1),
 python3-wsme,
 python3-xattr,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Image Registry and Delivery Service - Python library
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog | grep Date: | sed 's/Date: //')
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D today="$(BUILD_DATE)"
SPHINXOPTS += -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -rf doc/build
	rm -rf glance.sqlite
	rm -f debian/glance-common.config debian/glance-common.postinst debian/glance-common.postrm debian/glance-api.config debian/glance-api.postinst
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
	rm -rf build
	if [ -e $(CURDIR)/glance/_async ] ; then \
		mv $(CURDIR)/glance/_async $(CURDIR)/glance/async ; \
	fi
	if [ -e $(CURDIR)/glance/tests/unit/_async ] ; then \
		mv $(CURDIR)/glance/tests/unit/_async $(CURDIR)/glance/tests/unit/async ; \
	fi

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm glance-common.postrm
	pkgos-merge-templates glance-api glance endpoint
	pkgos-merge-templates glance-common glance db rabbit ksat
	if [ -e $(CURDIR)/glance/async ] ; then \
		mv $(CURDIR)/glance/async $(CURDIR)/glance/_async ; \
	fi
	if [ -e $(CURDIR)/glance/tests/unit/async ] ; then \
		mv $(CURDIR)/glance/tests/unit/async $(CURDIR)/glance/tests/unit/_async ; \
	fi

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'glance\.tests\.unit\.(?!.*test_wsgi_ipv6\.IPv6ServerTest\.test_evnetlet_no_dnspython.*)'
endif

	# Generate all config files
	mkdir -p $(CURDIR)/debian/glance-common/usr/share/glance-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf \
		--namespace glance.api \
		--namespace glance.store \
		--namespace oslo.concurrency \
		--namespace oslo.messaging \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf keystone_authtoken glance

	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf glance_store filesystem_store_datadir /var/lib/glance/images
	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf oslo_concurrency lock_path /var/lock/glance
	# Do not persist build time CPU numbers. See https://bugs.debian.org/807475
	sed -i 's|^[ \t#]*workers[ \t]*=[ \t].*|#workers = 2|' $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-registry.conf \
		--namespace glance.registry \
		--namespace oslo.messaging \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-registry.conf keystone_authtoken glance

	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-registry.conf glance_store filesystem_store_datadir /var/lib/glance/images
	# Do not percist build time CPU numbres. See https://bugs.debian.org/807475
	sed -i 's|^[ \t#]*workers[ \t]*=[ \t].*|#workers = 2|' $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-registry.conf

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-cache.conf \
		--namespace glance.cache \
		--namespace glance.store \
		--namespace oslo.log \
		--namespace oslo.policy
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-manage.conf \
		--namespace glance.manage \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.log
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-scrubber.conf \
		--namespace glance.scrubber \
		--namespace glance.store \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.log \
		--namespace oslo.policy

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing

	install -D -m 0664 etc/glance-swift.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-swift.conf
	install -D -m 0664 etc/ovf-metadata.json.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/ovf-metadata.json
	install -D -m 0664 etc/property-protections-policies.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/property-protections-policies.conf
	install -D -m 0664 etc/property-protections-roles.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/property-protections-roles.conf

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/glance-doc/usr/share/doc/glance-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build $(SPHINXOPTS) -b man doc/source doc/build/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## glance 17.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
defusedxml>=0.5.0 # PSF

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
WebOb>=1.7.1 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
sqlparse>=0.2.2 # BSD
alembic>=0.8.10 # MIT
httplib2>=0.9.1 # MIT
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
WSME>=0.8.0 # MIT
PrettyTable<0.8,>=0.7.1 # BSD

# For paste.util.template used in keystone.common.template
Paste>=2.0.2 # MIT

jsonschema<3.0.0,>=2.6.0 # MIT
pyOpenSSL>=17.1.0 # Apache-2.0
# Required by openstack.common libraries
six>=1.10.0 # MIT

oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0

retrying!=1.3.0,>=1.2.3 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0

# Glance Store
glance-store>=0.26.1 # Apache-2.0


debtcollector>=1.2.0 # Apache-2.0
cryptography>=2.1 # BSD/Apache-2.0
cursive>=0.2.1 # Apache-2.0

# timeutils
iso8601>=0.1.11 # MIT
monotonic>=0.6 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD
whereto>=0.3.0  # Apache-2.0

# needed for apidoc support
xattr>=0.9.2

=== debian/changelog ===
glance (2:17.0.0-0ubuntu4.1~cloud0) bionic-rocky; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 09 Nov 2018 11:45:00 +0000

glance (2:17.0.0-0ubuntu4.1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * d/p/fix-py3-recursion.patch: Cherry-picked from upstream master branch to
    fix error with infinite recursion under Python 3 (LP: #1800601).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Oct 2018 13:55:56 -0400

glance (2:17.0.0-0ubuntu4) cosmic; urgency=medium

  * d/control: Set X-Python3-Version: >= 3.5, << 3.7 avoiding compilation
    on install for Python 3.7 as glance contains a module named async
    which conflicts with the new async keyword in Python 3.7; this is
    resolved in the next major glance release.

 -- James Page <james.page@ubuntu.com>  Tue, 02 Oct 2018 17:34:42 +0100

glance (2:17.0.0-0ubuntu3) cosmic; urgency=medium

  * d/tests/glance-daemons: Increase timeout before curl as arm64 tests
    are timing out.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Sep 2018 10:43:33 -0400

glance (2:17.0.0-0ubuntu2) cosmic; urgency=medium

  * d/tests/control: Add curl to Depends to fix arm64/armhf failures.
  * d/tests/glance-daemons: Add final curl call without --fail option
    to ensure it doesn't fail silently.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 04 Sep 2018 12:54:07 -0400

glance (2:17.0.0-0ubuntu1) cosmic; urgency=medium

  * d/control: Switch Depends on ${source:Version} to ${binary:Version}.
  * d/control: Drop old Replaces.
  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:22:09 -0400

glance (2:17.0.0~rc1-0ubuntu2) cosmic; urgency=medium

  * d/tests/glance-daemons: Refactor to include timeout loop for curl command.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Aug 2018 15:40:43 -0400

glance (2:17.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 15:18:59 -0400

glance (2:17.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * d/p/handle-StopIteration.patch: Align with latest upstream patch.
  * d/p/rename-async-package.patch: Drop until it gets a good review upstream.
  * New upstream milestone for OpenStack Rocky.
  * d/rules: Skip Py3.7 tests until they run successfully upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Aug 2018 15:15:01 -0400

glance (2:17.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-glance package.
    - d/control: Support Py2 first and Py3 as alternative.
    - d/control: Move all python deps to python(3)-glance Depends.
    - d/control, d/rules, d/*.dirs, d/*.install, d/*.manpages: Move common files
      to glance-common and have python(3)-glance depend on it.
    - d/rules: Add Py3 support.
    - d/rules: Use pkgos-dh_auto_install as this helps name binaries for
      update-alternatives.
    - d/rules: Run tests with pkgos-dh_auto_test.
    - d/python-glance.install: Drop, not needed.
    - d/glance-*.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-glance.post*, d/python(3)-glance.prerm: Add update-alternatives
      to enable correct shebangs for Python binaries.
    - d/tests/*: Enable Py3 tests for glance daemons and add shebang tests.
    - d/tests/glance-daemons: Use curl to test API.
    - d/p/rename-async-package.patch: Rename async package to avoid Py3.7
      keyword conflict.
    - d/p/handle-StopIteration.patch: Handle StopIteration for Py3.7.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jul 2018 21:34:11 -0400

glance (2:17.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 13:23:10 -0400

glance (2:17.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 17.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Drop sphinxcontrib.apidoc extension
    until package is available.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/control, d/copyright: Use https URLs.
  * d/control: Drop obsolete XS-Testsuite: autopkgtest header.
  * d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 May 2018 13:58:53 -0400

glance (2:16.0.1-0ubuntu2) cosmic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1767128).
  * d/p/add-root-tar-support.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 May 2018 15:11:30 -0400

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: Ubuntu OpenStack <openstack-packaging@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 crudini,
 python-alembic (>= 0.8.10),
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-cryptography (>= 2.1),
 python-cursive (>= 0.2.1),
 python-ddt (>= 1.0.1),
 python-debtcollector (>= 1.2.0),
 python-defusedxml (>= 0.5.0),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-futurist (>= 1.2.0),
 python-glance-store (>= 0.26.1),
 python-hacking (>= 0.12.0),
 python-httplib2 (>= 0.9.1),
 python-iso8601 (>= 0.1.11),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.4.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-migrate (>= 0.11.0),
 python-mock (>= 2.0.0),
 python-monotonic (>= 0.6),
 python-openssl (>= 17.1.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-api-ref (>= 1.4.0),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pep8,
 python-prettytable (>= 0.7.1),
 python-psutil (>= 3.2.2),
 python-psycopg2 (>= 2.6.2),
 python-pymysql (>= 0.7.6),
 python-requests (>= 2.14.2),
 python-retrying (>= 1.2.3),
 python-routes (>= 2.3.1),
 python-semantic-version (>= 2.3.1),
 python-sendfile (>= 2.0.0),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-sqlparse (>= 0.2.2),
 python-stevedore (>= 1:1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-taskflow (>= 2.16.0),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-webob (>= 1:1.7.1),
 python-wsme (>= 0.8.0),
 python-xattr (>= 0.9.2),
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-cursive (>= 0.2.1),
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.2.0),
 python3-defusedxml (>= 0.5.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-glance-store (>= 0.26.1),
 python3-hacking (>= 0.12.0),
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-monotonic (>= 0.6),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql (>= 0.7.6),
 python3-requests (>= 2.14.2),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.3.1),
 python3-sendfile (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-sqlparse (>= 0.2.2),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-taskflow (>= 2.16.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-wsme (>= 0.8.0),
 python3-xattr (>= 0.9.2),
 subunit,
Standards-Version: 4.1.4
XS-Python-Version: >= 2.7
X-Python3-Version: >= 3.5, << 3.7
Homepage: https://launchpad.net/glance
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glance
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glance
Testsuite: autopkgtest-pkg-python

Package: glance
Architecture: all
Section: python
Depends:
 glance-api (= ${binary:Version}),
 glance-registry (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: glance-api
Architecture: all
Section: python
Depends:
 python-glance (= ${binary:Version}) | python3-glance (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - API
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance API server.

Package: glance-registry
Architecture: all
Section: python
Depends:
 python-glance (= ${binary:Version}) | python3-glance (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Registry
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance registry server.

Package: python-glance
Architecture: all
Section: python
Depends:
 glance-common (= ${binary:Version}),
 python-alembic (>= 0.8.10),
 python-cryptography (>= 2.1),
 python-cursive (>= 0.2.1),
 python-debtcollector (>= 1.2.0),
 python-defusedxml (>= 0.5.0),
 python-eventlet (>= 0.18.2),
 python-futurist (>= 1.2.0),
 python-glance-store (>= 0.26.1),
 python-glanceclient,
 python-httplib2 (>= 0.9.1),
 python-iso8601 (>= 0.1.11),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.4.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-migrate (>= 0.11.0),
 python-monotonic (>= 0.6),
 python-openssl (>= 17.1.0),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.utils (>= 3.33.0),
 python-osprofiler (>= 1.4.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-retrying (>= 1.2.3),
 python-routes (>= 2.3.1),
 python-semantic-version (>= 2.3.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-sqlparse (>= 0.2.2),
 python-stevedore (>= 1:1.20.0),
 python-taskflow (>= 2.16.0),
 python-webob (>= 1:1.7.1),
 python-wsme (>= 0.8.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-ceph,
Provides:
 ${python:Provides},
XB-Python-Version: ${python:Versions}
Description: OpenStack Image Registry and Delivery Service - Python 2 library
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 2 libraries.

Package: python3-glance
Architecture: all
Section: python
Depends:
 glance-common (= ${binary:Version}),
 python3-alembic (>= 0.8.10),
 python3-cryptography (>= 2.1),
 python3-cursive (>= 0.2.1),
 python3-debtcollector (>= 1.2.0),
 python3-defusedxml (>= 0.5.0),
 python3-eventlet (>= 0.18.2),
 python3-futurist (>= 1.2.0),
 python3-glance-store (>= 0.26.1),
 python3-glanceclient,
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-migrate (>= 0.11.0),
 python3-monotonic (>= 0.6),
 python3-openssl (>= 17.1.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-sqlparse (>= 0.2.2),
 python3-stevedore (>= 1:1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-webob (>= 1:1.7.1),
 python3-wsme (>= 0.8.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-ceph,
Provides:
 ${python3:Provides},
XB-Python-Version: ${python3:Versions}
Description: OpenStack Image Registry and Delivery Service - Python 3 library
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3 libraries.

Package: python-glance-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: glance-common
Architecture: all
Section: python
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 glance-api (<< 2:17.0.0~b2-0ubuntu2~),
 glance-registry (<< 2:17.0.0~b2-0ubuntu2~),
Replaces:
 glance-api (<< 2:17.0.0~b2-0ubuntu2~),
 glance-registry (<< 2:17.0.0~b2-0ubuntu2~),
Description: OpenStack Image Registry and Delivery Service - Common
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance common.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export OSLO_PACKAGE_VERSION=$(VERSION)
export PBR_VERSION=$(VERSION)


include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,python3,systemd

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install
	rm -rf $(CURDIR)/debian/python-glance/usr/etc
	rm -rf $(CURDIR)/debian/python3-glance/usr/etc
	dh_install --fail-missing -Xrootwrap.conf

	crudini --merge $(CURDIR)/debian/glance-common/etc/glance/glance-api.conf \
		< $(CURDIR)/debian/glance-api.conf.defaults
	crudini --merge $(CURDIR)/debian/glance-common/etc/glance/glance-registry.conf \
		< $(CURDIR)/debian/glance-registry.conf.defaults

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# NOTE(coreycb) Skip Py3.7 tests until they run successfully upstream:
	#   https://bugs.launchpad.net/bugs/1781617
	# pkgos-dh_auto_test "^glance.tests.unit.*"
	echo "===> Running tests"
	set -ex ; for i in 2.7 3.6 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .stestr ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$PYMAJOR-stestr run --subunit "^glance.tests.unit.*" | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		rm -rf .stestr ; \
	done
endif

override_dh_auto_build:
	dh_auto_build
	mkdir -p doc/build/man doc/build/html
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build glance.sqlite .testrepository
	rm -f debian/*.init debian/*.service debian/*.upstart

=== debian/tests/control ===
Tests: glance-daemons, glance-shebangs-py3
Depends: python3-glance, glance-api, glance-registry, curl
Restrictions: needs-root

Tests: glance-daemons, glance-shebangs-py2
Depends: glance-api, glance-registry, curl
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/glance glance-(17\.\d.*)\.tar\.gz

## glance 18.0.0

=== requirements.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 PasteDeploy>=1.5.0 # MIT
 Routes>=2.3.1 # MIT
-WebOb>=1.7.1 # MIT
+WebOb>=1.8.1 # MIT
 sqlalchemy-migrate>=0.11.0 # Apache-2.0
 sqlparse>=0.2.2 # BSD
 alembic>=0.8.10 # MIT
@@ -18,6 +18,7 @@
 oslo.config>=5.2.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
+oslo.upgradecheck>=0.1.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 futurist>=1.2.0 # Apache-2.0
@@ -38,7 +39,7 @@
 oslo.db>=4.27.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
-oslo.messaging>=5.29.0 # Apache-2.0
+oslo.messaging>=5.29.0,!=9.0.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.policy>=1.30.0 # Apache-2.0
 
@@ -55,4 +56,5 @@
 
 # timeutils
 iso8601>=0.1.11 # MIT
-monotonic>=0.6 # Apache-2.0
+
+os-win>=3.0.0 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -9,4 +9,4 @@
 whereto>=0.3.0  # Apache-2.0
 
 # needed for apidoc support
-xattr>=0.9.2
+xattr>=0.9.2;sys_platform!='win32' # MIT

=== debian/changelog ===
glance (2:18.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 08:50:19 +0100

glance (2:18.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/bump-to-stein.patch: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 16:21:58 +0000

glance (2:18.0.0~b1-0ubuntu1) disco; urgency=medium

  * New release for OpenStack Stein.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 14 Mar 2019 14:21:50 +0000

glance (2:18.0.0~b1~git2019013051.034a4837-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/bump-to-stein.patch: Update current release name to stein to
    resolve unit test failures.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 15:43:13 +0000

glance (2:18.0.0~b1~git2018111404.d2e62d43-0ubuntu1) disco; urgency=medium

  * d/rules,tests/glance-shebangs-py3: Use python3 for shebangs.
  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,glance-registry.*: Drop glance-registry package as due
    for removal this cycle.
  * d/control,python3-glance.postinst: Prefer Python 3 module for default
    installations.
  * d/control,rules,python*: Drop Python 2 support.
  * d/tests/*: Update for Python 3 only.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:52:09 +0000

glance (2:18.0.0~b1~git20181108.97dac0f3-0ubuntu1) disco; urgency=medium

  * d/control: Drop X-Python3-Version, which avoided 3.7 support, for Stein.
  * d/watch: Scope to 18.x series.
  * New upstream snapshot for OpenStack Stein.
  * d/p/handle-StopIteration.patch: Dropped. No longer needed.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Nov 2018 11:40:19 -0500

glance (2:17.0.0-0ubuntu5) disco; urgency=medium

  * d/tests/glance-shebangs-py3: Update shebang for Python 3.7.
  * d/rules: Enable Python 3.7 unit tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Nov 2018 09:54:01 -0500

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/glance glance-(18\.\d.*)\.tar\.gz
